<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/hal/include/spi.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('spi_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">spi.h</div></div>
</div><!--header-->
<div class="contents">
<a href="spi_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef SPI_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define SPI_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &quot;<a class="code" href="_n76_e003_8h.html">N76E003.h</a>&quot;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &quot;<a class="code" href="_s_f_r___macro_8h.html">SFR_Macro.h</a>&quot;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="spi_8h.html#ac9d0bde2b42b2403d00b7a611514b006">   12</a></span><span class="comment"></span><span class="preprocessor">#define SPI_MODE0                   clr_CPOL; clr_CPHA</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="spi_8h.html#a9481b7327b91aa52ff5f70eb2d0acc95">   19</a></span><span class="comment"></span><span class="preprocessor">#define SPI_MODE1                   clr_CPOL; set_CPHA</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="spi_8h.html#a991dec04d2fb38979cfb0d9fc7f8b026">   26</a></span><span class="comment"></span><span class="preprocessor">#define SPI_MODE2                   set_CPOL; clr_CPHA</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="spi_8h.html#a5f928a2445070981765ee0416c12369d">   33</a></span><span class="comment"></span><span class="preprocessor">#define SPI_MODE3                   set_CPOL; set_CPHA</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="spi_8h.html#a7f157edf173ea33cf6ce3995da1720be">   40</a></span><span class="comment"></span><span class="preprocessor">#define SPI_LSBFIRST            set_LSBFE</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="spi_8h.html#ae77748f6ed40c1bc713dbe98e29df4ea">   47</a></span><span class="comment"></span><span class="preprocessor">#define SPI_MSBFIRST            clr_LSBFE</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="spi_8h.html#a00174198073dadbaaad7f9475360b228">   54</a></span><span class="comment"></span><span class="preprocessor">#define SPI_DISABLE             clr_SPIEN</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="spi_8h.html#a27537db92d0837cc77baa0d99b8cac48">   61</a></span><span class="comment"></span><span class="preprocessor">#define SPI_ENABLE              set_SPIEN</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment">// #define SPI_SET_DIVISOR      SPICLK_DIV16 // available divisors are /2, /4, /8 and /16; currently set to provide 250KHz clock with 4MHz</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="keywordtype">void</span> <a class="code hl_function" href="spi_8h.html#ae909944aa85ae98323073c628be541aa">spi_init</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_function" href="spi_8h.html#afce8db9057c38fd34fb5d18f9030251f">spi_transfer</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> x);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="a_n76_e003_8h_html"><div class="ttname"><a href="_n76_e003_8h.html">N76E003.h</a></div></div>
<div class="ttc" id="a_s_f_r___macro_8h_html"><div class="ttname"><a href="_s_f_r___macro_8h.html">SFR_Macro.h</a></div></div>
<div class="ttc" id="aspi_8h_html_ae909944aa85ae98323073c628be541aa"><div class="ttname"><a href="spi_8h.html#ae909944aa85ae98323073c628be541aa">spi_init</a></div><div class="ttdeci">void spi_init(void)</div><div class="ttdoc">Initialize SPI.</div><div class="ttdef"><b>Definition:</b> spi.c:10</div></div>
<div class="ttc" id="aspi_8h_html_afce8db9057c38fd34fb5d18f9030251f"><div class="ttname"><a href="spi_8h.html#afce8db9057c38fd34fb5d18f9030251f">spi_transfer</a></div><div class="ttdeci">unsigned char spi_transfer(unsigned char x)</div><div class="ttdoc">SPI transfer.</div><div class="ttdef"><b>Definition:</b> spi.c:31</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_a5db744503d12202ec64e5e5d49b6402.html">hal</a></li><li class="navelem"><a class="el" href="dir_eac8973e6e22cec028734c0f756d1fd5.html">include</a></li><li class="navelem"><a class="el" href="spi_8h.html">spi.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
